SilkTouchHands 1.0.10

Harness the power of the Enderman inside of you

  1. 1.0.2 - Fix for Java 8 Users

    VisualCody
    When coding this I used some fancy modern stuff that only Java 9 onwards has. turns out for some reason people still want to use Java 8 first released in 2015... I know it is still updated but maybe hosts should think about the future and update.

    Regardless this version works for Java 8 and up instead of Java 9 and up so hopefully will give people less issues
    UnderTheWater and Bonso_08 like this.
Return to update list...